Measure logo
REST API ReferenceDashboard APIANRs

Fetch an app's ANR overview (deprecated)

Deprecated

GET/apps/{id}/anrGroups

Fetch an app's ANR overview.

Deprecated: Use GET /apps/{id}/errorGroups instead. The errorGroups API unifies crashes, ANRs, and handled exceptions into a single surface with severity filtering.

Both versions & version_codes should be present if any one of them is present.

Authorization

bearerAuth
AuthorizationBearer <token>

User access token issued at sign-in. Sent as Authorization: Bearer <access-token> unless cookies are used to send tokens. The /auth/refresh and /auth/signout endpoints expect the session's refresh token in the same header format instead.

In: header

Path Parameters

id*string

App's UUID.

Formatuuid

Query Parameters

from?string

Start time boundary for temporal filtering. ISO8601 Datetime string. If not passed, a default value is assumed.

to?string

End time boundary for temporal filtering. ISO8601 Datetime string. If not passed, a default value is assumed.

versions?string

List of comma separated version identifier strings to return ANR groups that have events matching the version.

version_codes?string

List of comma separated version codes to return ANR groups that have events matching the version code.

key_id?string

UUID of the last item. Used for keyset based pagination. Should be used along with limit.

limit?integer

Number of items to return. Used for keyset based pagination. Should be used along with key_id. Negative values traverse backward.

filter_short_code?string

Code representing combination of filters.

ud_expression?string

Expression in JSON to filter using user defined attributes.

Response Body

application/json

curl -X GET "https://example.com/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/anrGroups"
{  "meta": {    "next": false,    "previous": false  },  "results": [    {      "app_id": "19e26d60-2ad8-4ef7-8aab-333e1f5377fc",      "id": "09ef78940bd258030ebe3937bf1e32a2",      "type": "sh.measure.android.anr.AnrError",      "message": "Application Not Responding for at least 5s",      "method_name": "run",      "file_name": "CpuUsageCollector",      "line_number": 0,      "count": 1,      "percentage_contribution": 50,      "updated_at": "2025-06-13T14:08:58.003350625Z"    },    {      "app_id": "19e26d60-2ad8-4ef7-8aab-333e1f5377fc",      "id": "19f5125829c0477f56a6e610cd81b735",      "type": "sh.measure.android.anr.AnrError",      "message": "Application Not Responding for at least 5s",      "method_name": "sleep",      "file_name": "Thread.java",      "line_number": -2,      "count": 1,      "percentage_contribution": 50,      "updated_at": "2025-06-13T14:08:56.313369888Z"    }  ]}
Empty
Empty
Empty
Empty
Empty

Think this page can be better?

Open an issue